<!-- HTML header for doxygen 1.8.9.1-->
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.11"/>
<meta name="robots" content="NOINDEX, NOFOLLOW" /> <!-- Prevent indexing by search engines -->
<title>ARM Compute Library: Globals</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<script type="text/javascript">
  $(document).ready(initResizable);
  $(window).load(resizeHeight);
</script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { init_search(); });
</script>
<script type="text/x-mathjax-config">
  MathJax.Hub.Config({
    extensions: ["tex2jax.js"],
    jax: ["input/TeX","output/HTML-CSS"],
});
</script><script type="text/javascript" src="http://cdn.mathjax.org/mathjax/latest/MathJax.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td style="padding-left: 0.5em;">
   <div id="projectname">ARM Compute Library
   &#160;<span id="projectnumber">17.04</span>
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.11 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.xhtml"><span>Main&#160;Page</span></a></li>
      <li><a href="namespaces.xhtml"><span>Namespaces</span></a></li>
      <li><a href="annotated.xhtml"><span>Data&#160;Structures</span></a></li>
      <li class="current"><a href="files.xhtml"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="files.xhtml"><span>File&#160;List</span></a></li>
      <li class="current"><a href="globals.xhtml"><span>Globals</span></a></li>
    </ul>
  </div>
  <div id="navrow3" class="tabs2">
    <ul class="tablist">
      <li class="current"><a href="globals.xhtml"><span>All</span></a></li>
      <li><a href="globals_func.xhtml"><span>Functions</span></a></li>
      <li><a href="globals_vars.xhtml"><span>Variables</span></a></li>
      <li><a href="globals_type.xhtml"><span>Typedefs</span></a></li>
      <li><a href="globals_defs.xhtml"><span>Macros</span></a></li>
    </ul>
  </div>
  <div id="navrow4" class="tabs3">
    <ul class="tablist">
      <li><a href="globals.xhtml#index_a"><span>a</span></a></li>
      <li><a href="globals_b.xhtml#index_b"><span>b</span></a></li>
      <li><a href="globals_c.xhtml#index_c"><span>c</span></a></li>
      <li><a href="globals_d.xhtml#index_d"><span>d</span></a></li>
      <li><a href="globals_e.xhtml#index_e"><span>e</span></a></li>
      <li><a href="globals_f.xhtml#index_f"><span>f</span></a></li>
      <li><a href="globals_g.xhtml#index_g"><span>g</span></a></li>
      <li><a href="globals_h.xhtml#index_h"><span>h</span></a></li>
      <li><a href="globals_i.xhtml#index_i"><span>i</span></a></li>
      <li><a href="globals_k.xhtml#index_k"><span>k</span></a></li>
      <li><a href="globals_l.xhtml#index_l"><span>l</span></a></li>
      <li><a href="globals_m.xhtml#index_m"><span>m</span></a></li>
      <li><a href="globals_n.xhtml#index_n"><span>n</span></a></li>
      <li><a href="globals_o.xhtml#index_o"><span>o</span></a></li>
      <li><a href="globals_p.xhtml#index_p"><span>p</span></a></li>
      <li><a href="globals_r.xhtml#index_r"><span>r</span></a></li>
      <li><a href="globals_s.xhtml#index_s"><span>s</span></a></li>
      <li class="current"><a href="globals_t.xhtml#index_t"><span>t</span></a></li>
      <li><a href="globals_u.xhtml#index_u"><span>u</span></a></li>
      <li><a href="globals_v.xhtml#index_v"><span>v</span></a></li>
      <li><a href="globals_w.xhtml#index_w"><span>w</span></a></li>
      <li><a href="globals_x.xhtml#index_x"><span>x</span></a></li>
      <li><a href="globals_y.xhtml#index_y"><span>y</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
$(document).ready(function(){initNavTree('globals_t.xhtml','');});
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="contents">
<div class="textblock">Here is a list of all functions, variables, defines, enums, and typedefs with links to the files they belong to:</div>

<h3><a class="anchor" id="index_t"></a>- t -</h3><ul>
<li>tablelookup_S16()
: <a class="el" href="tablelookup_8cl.xhtml#ad175448ea70f6a23e63b6d68f09d5f61">tablelookup.cl</a>
</li>
<li>tablelookup_U8()
: <a class="el" href="tablelookup_8cl.xhtml#ad64728d0b577942fb98aca553bca7f77">tablelookup.cl</a>
</li>
<li>Tensor3D
: <a class="el" href="helpers_8h.xhtml#a1a857bfe99727c6051e9a3ee285d70f6">helpers.h</a>
</li>
<li>TENSOR3D_DECLARATION
: <a class="el" href="helpers_8h.xhtml#a6b83038822d1ae7ab619b684ed3b7fc0">helpers.h</a>
</li>
<li>tensor3D_offset()
: <a class="el" href="helpers_8h.xhtml#a2101b2fe0193ce227ae4e0945e321d85">helpers.h</a>
</li>
<li>threshold_binary()
: <a class="el" href="threshold_8cl.xhtml#a6c8801a257e3e3d80af8b60967975d42">threshold.cl</a>
</li>
<li>threshold_range()
: <a class="el" href="threshold_8cl.xhtml#a2e3f1b089d9b33880c9bb6e98f294bba">threshold.cl</a>
</li>
<li>transform_bilinear()
: <a class="el" href="scale_8cl.xhtml#a1990e87858b15b8fce3f63965fb9b86c">scale.cl</a>
</li>
<li>transform_nearest()
: <a class="el" href="scale_8cl.xhtml#a55c710b814464d9b8982c4eb6ca04dee">scale.cl</a>
</li>
<li>transpose()
: <a class="el" href="transpose_8cl.xhtml#aa9021e9b8c37ea94257627da631248db">transpose.cl</a>
</li>
<li>TRANSPOSE_16x16
: <a class="el" href="transpose_8cl.xhtml#ae6c2b1bad97366395ba7a9a688533ff4">transpose.cl</a>
</li>
<li>TRANSPOSE_4x4
: <a class="el" href="transpose_8cl.xhtml#a093adbe8897f56bc8d0998f5cad57c8a">transpose.cl</a>
</li>
<li>TRANSPOSE_8x8
: <a class="el" href="transpose_8cl.xhtml#ad037a4e8ddc84de9c0512a2d4ee693bf">transpose.cl</a>
</li>
<li>type_max
: <a class="el" href="minmaxloc_8cl.xhtml#a4464d6f922ea17b4a9ca6a2cec7ddb75">minmaxloc.cl</a>
</li>
<li>type_min
: <a class="el" href="minmaxloc_8cl.xhtml#a538b4b63f40e7b12891774e03a4f0dec">minmaxloc.cl</a>
, <a class="el" href="softmax__layer_8cl.xhtml#a5505428916dfe70b40b32686c57e8436">softmax_layer.cl</a>
</li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="footer">Generated on Wed Apr 12 2017 17:30:11 for ARM Compute Library by
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.8.11 </li>
  </ul>
</div>
</body>
</html>
